package com.cultural.heritage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cultural.heritage.model.entity.AppointmentDate;
import com.cultural.heritage.model.vo.appointment.AppointmentDateTimePeriodVO;

import java.util.List;

public interface AppointmentDateMapper extends BaseMapper<AppointmentDate> {

    /**
     * (多表联查)查询所有商品的预约情况
     */
    List<AppointmentDateTimePeriodVO> queryAppointmentDateDetail();


    /**
     * (多表联查)根据id查询商品的预约情况
     */
    List<AppointmentDateTimePeriodVO> queryAppointmentDateDetailById(Long goodId);
}
