package com.cultural.heritage.model.dto.banner;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "轮播图添加请求体", requiredProperties = {"type", "url"})
public class BannerAddRequest implements Serializable {


    /**
     * 类型
     */
    @Schema(description = "类型")
    private String type;


    /**
     * URL
     */
    @Schema(description = "URL")
    private String url;



    @Serial
    private static final long serialVersionUID = 1L;
}
