package com.cultural.heritage.model.dto.coupon;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CouponPriceQueryRequest implements Serializable {


    /**
     * 订单金额
     */
    @Schema(description = "订单金额", example = "50")
    private BigDecimal currentAmount;


    @Serial
    private static final long serialVersionUID = 1L;
}
