package com.cultural.heritage.model.dto.photoCategory;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "写真类别添加请求体", requiredProperties = {"name"})
public class PhotoCategoryAddRequest implements Serializable {


    /**
     * 类别名称
     */
    @Schema(description = "写真类别名称", example = "简约风尚")
    private String name;



    @Serial
    private static final long serialVersionUID = 1L;
}
