package com.cultural.heritage.service.other;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.banner.BannerQueryRequest;
import com.cultural.heritage.model.entity.Banner;

public interface BannerService extends IService<Banner> {


    /**
     * 校验参数
     */
    void validBanner(Banner banner, boolean update);


    /**
     * 获取查询条件
     */
    QueryWrapper<Banner> getQueryWrapper(BannerQueryRequest bannerQueryRequest);
}
